Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.

PIN Management API

Download D1-Public-OUT-v1-PIN-Management.yaml

Get Card PIN

get
/cms/api/v1/issuers/{issuerId}/cards/{cardId}/pin

This request is used by D1 to retrieve the PIN value of a physical card.

Authorizations
AuthorizationstringRequired

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

Path parameters
issuerIdstring · min: 10 · max: 10Required

The id of the issuer

cardIdstring · min: 1 · max: 48Required

Unique identifier of the card.

Pattern: ^[A-Za-z0-9_-]{1,48}$
Header parameters
x-correlation-idstringOptional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Responses
get
/cms/api/v1/issuers/{issuerId}/cards/{cardId}/pin

Set Card PIN

put
/cms/api/v1/issuers/{issuerId}/cards/{cardId}/pin

This request is used by D1 to push securelly in core banking system the PIN value for a physical card.

Authorizations
AuthorizationstringRequired

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

Path parameters
issuerIdstring · min: 10 · max: 10Required

The id of the issuer

cardIdstring · min: 1 · max: 48Required

Unique identifier of the card.

Pattern: ^[A-Za-z0-9_-]{1,48}$
Header parameters
x-correlation-idstringOptional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Body
typestring · enumRequired

The type of the PIN Block.

Possible values:
encryptedPinBlockstring · max: 8192Required

The value is the encrypted json (cf http://www.json.org/ ) representation of the PIN Block.
This value is encrypted using the JWE encryption (please refer to the Sensitive Information Encryption for more details)

Schemas of the PIN Block once decrypted
PIN Block ISO0
PIN Block 3DES Seccos
Responses
put
/cms/api/v1/issuers/{issuerId}/cards/{cardId}/pin

No content

Get PIN Change Counter

get
/cms/api/v1/issuers/{issuerId}/cards/{cardId}/pin/changeCounter

API used by D1 retreive from Issuer Backend the PIN Change Counter for a given card. The PIN Change counter is used to compute PRW and MAC

Authorizations
AuthorizationstringRequired

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

Path parameters
issuerIdstring · min: 10 · max: 10Required

The id of the issuer

cardIdstring · min: 1 · max: 48Required

Unique identifier of the card.

Pattern: ^[A-Za-z0-9_-]{1,48}$
Header parameters
x-correlation-idstringOptional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Responses
get
/cms/api/v1/issuers/{issuerId}/cards/{cardId}/pin/changeCounter

Last updated

Was this helpful?